import abc
import grpclib.client
import grpclib.const
import grpclib.server
import tbh.grpc.bots_updates.v1.bots_updates_pb2
from _typeshed import Incomplete

class BotsUpdatesServiceBase(abc.ABC, metaclass=abc.ABCMeta):
    @abc.abstractmethod
    async def GetUpdates(self, stream: grpclib.server.Stream[tbh.grpc.bots_updates.v1.bots_updates_pb2.BotUpdateRequest, tbh.grpc.bots_updates.v1.bots_updates_pb2.BotUpdate]) -> None: ...
    def __mapping__(self) -> dict[str, grpclib.const.Handler]: ...

class BotsUpdatesServiceStub:
    GetUpdates: Incomplete
    def __init__(self, channel: grpclib.client.Channel) -> None: ...
