from google.protobuf import any_pb2 as _any_pb2, descriptor as _descriptor, message as _message
from google.protobuf.internal import containers as _containers
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping

DESCRIPTOR: _descriptor.FileDescriptor

class BotUpdateRequest(_message.Message):
    class Filters(_message.Message):
        BOT_ID_FIELD_NUMBER: _ClassVar[int]
        bot_id: _containers.RepeatedScalarFieldContainer[int]
        def __init__(self, bot_id: _Iterable[int] | None = ...) -> None: ...
    CONSUMER_ID_FIELD_NUMBER: _ClassVar[int]
    FILTERS_FIELD_NUMBER: _ClassVar[int]
    consumer_id: str
    filters: str
    def __init__(self, consumer_id: str | None = ..., filters: str | None = ...) -> None: ...

class BotUpdate(_message.Message):
    class Update(_message.Message):
        class MessageEntry(_message.Message):
            KEY_FIELD_NUMBER: _ClassVar[int]
            VALUE_FIELD_NUMBER: _ClassVar[int]
            key: str
            value: _any_pb2.Any
            def __init__(self, key: str | None = ..., value: _any_pb2.Any | _Mapping | None = ...) -> None: ...
        class GroupEntry(_message.Message):
            KEY_FIELD_NUMBER: _ClassVar[int]
            VALUE_FIELD_NUMBER: _ClassVar[int]
            key: str
            value: _any_pb2.Any
            def __init__(self, key: str | None = ..., value: _any_pb2.Any | _Mapping | None = ...) -> None: ...
        UPDATE_ID_FIELD_NUMBER: _ClassVar[int]
        MESSAGE_FIELD_NUMBER: _ClassVar[int]
        GROUP_FIELD_NUMBER: _ClassVar[int]
        update_id: int
        message: _containers.MessageMap[str, _any_pb2.Any]
        group: _containers.MessageMap[str, _any_pb2.Any]
        def __init__(self, update_id: int | None = ..., message: _Mapping[str, _any_pb2.Any] | None = ..., group: _Mapping[str, _any_pb2.Any] | None = ...) -> None: ...
    BOT_ID_FIELD_NUMBER: _ClassVar[int]
    TIMESTAMP_FIELD_NUMBER: _ClassVar[int]
    UPDATE_FIELD_NUMBER: _ClassVar[int]
    bot_id: int
    timestamp: int
    update: BotUpdate.Update
    def __init__(self, bot_id: int | None = ..., timestamp: int | None = ..., update: BotUpdate.Update | _Mapping | None = ...) -> None: ...
