from collections.abc import Sequence
from typing import Any

import aioinject

from tbh.repositories.bots_updates_repository import BotsUpdatesRepository

providers: Sequence[aioinject.Provider[Any]] = [
    aioinject.Singleton(BotsUpdatesRepository),
]

container = aioinject.Container()
container.register(*providers)
